Page MenuHomePhabricator

sparse: clean up path handling, making it platform agnostic
AbandonedPublic

Authored by mjpieters on Nov 24 2017, 11:35 AM.

Details

Reviewers
durham
Group Reviewers
Restricted Project
Summary

There is no need to strip path separators from the normalised path; normpath
will never leave any.

We also ensure that the path prefix we test ends in a path separator, to avoid
matching on sibling paths that happen to share a prefix.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

mjpieters created this revision.Nov 24 2017, 11:35 AM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 24 2017, 11:35 AM
durham accepted this revision.Nov 28 2017, 7:17 PM
This revision is now accepted and ready to land.Nov 28 2017, 7:17 PM
mjpieters abandoned this revision.Oct 16 2018, 10:52 AM